Commit 34292a5f authored by Brad King's avatar Brad King
Browse files

cargo: prep for 0.1310.0

parent 224714f2
# v0.1310.0
## Additions
* `types::{Pipeline,PipelineBasic}` now have a `project_id` member.
# v0.1309.0 # v0.1309.0
## Breaking changes ## Breaking changes
......
[package] [package]
name = "gitlab" name = "gitlab"
version = "0.1309.0" version = "0.1310.0"
authors = ["Ben Boeckel <ben.boeckel@kitware.com>"] authors = ["Ben Boeckel <ben.boeckel@kitware.com>"]
license = "MIT/Apache-2.0" license = "MIT/Apache-2.0"
description = """ description = """
Gitlab API client. Gitlab API client.
""" """
repository = "https://gitlab.kitware.com/utils/rust-gitlab" repository = "https://gitlab.kitware.com/utils/rust-gitlab"
documentation = "https://docs.rs/gitlab/0.1309.0" documentation = "https://docs.rs/gitlab/0.1310.0"
readme = "README.md" readme = "README.md"
keywords = ["gitlab", "api"] keywords = ["gitlab", "api"]
categories = ["web-programming", "api-bindings"] categories = ["web-programming", "api-bindings"]
......
...@@ -3,7 +3,7 @@ ...@@ -3,7 +3,7 @@
This library implements an interface to communicate with a Gitlab instance. Not This library implements an interface to communicate with a Gitlab instance. Not
all API endpoints are implemented, but patches are welcome. all API endpoints are implemented, but patches are welcome.
The API is based off of the GitLab 13.9 API v4 and will likely aggressively track The API is based off of the GitLab 13.10 API v4 and will likely aggressively track
new API additions, so not all available parameters or types will support new API additions, so not all available parameters or types will support
arbitrarily old GitLab instances (usually query parameters will be ignored and arbitrarily old GitLab instances (usually query parameters will be ignored and
type fields cause deserialization errors). type fields cause deserialization errors).
...@@ -34,6 +34,7 @@ to a given version). ...@@ -34,6 +34,7 @@ to a given version).
Since this crate follows Gitlab upstream, semantic versioning may not be Since this crate follows Gitlab upstream, semantic versioning may not be
possible. Instead, the crate uses the following versioning scheme: possible. Instead, the crate uses the following versioning scheme:
* Gitlab 13.10 support → 0.1310.x
* Gitlab 13.9 support → 0.1309.x * Gitlab 13.9 support → 0.1309.x
* Gitlab 13.8 support → 0.1308.x * Gitlab 13.8 support → 0.1308.x
* Gitlab 13.7 support → 0.1307.x * Gitlab 13.7 support → 0.1307.x
...@@ -90,7 +91,7 @@ coverage. It is recommended to depend on the full version of the crate since ...@@ -90,7 +91,7 @@ coverage. It is recommended to depend on the full version of the crate since
types may change in patch-level updates in order to match Gitlab's interface: types may change in patch-level updates in order to match Gitlab's interface:
```toml ```toml
gitlab = "=0.1309.0" gitlab = "=0.1310.0"
``` ```
# API bugs # API bugs
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment